diff -ur a/src/miral/cursor_theme.cpp b/src/miral/cursor_theme.cpp
--- a/src/miral/cursor_theme.cpp	2020-02-24 16:17:30.000000000 +0100
+++ b/src/miral/cursor_theme.cpp	2020-07-01 21:58:04.662335796 +0200
@@ -27,6 +27,7 @@
 
 #define MIR_LOG_COMPONENT "miral"
 #include <mir/log.h>
+#include <algorithm>
 
 namespace mi = mir::input;
 
diff -ur a/src/miral/display_configuration_option.cpp b/src/miral/display_configuration_option.cpp
--- a/src/miral/display_configuration_option.cpp	2020-02-24 16:17:30.000000000 +0100
+++ b/src/miral/display_configuration_option.cpp	2020-07-01 21:59:55.690478999 +0200
@@ -23,6 +23,7 @@
 #include <mir/graphics/display_configuration.h>
 #include <mir/options/option.h>
 #include <mir/server.h>
+#include <algorithm>
 
 namespace mg = mir::graphics;
 
diff -ur a/src/miral/external_client.cpp b/src/miral/external_client.cpp
--- a/src/miral/external_client.cpp	2020-02-24 16:17:30.000000000 +0100
+++ b/src/miral/external_client.cpp	2020-07-01 21:59:12.442812736 +0200
@@ -25,6 +25,7 @@
 
 #include <map>
 #include <stdexcept>
+#include <algorithm>
 
 namespace mo = mir::options;
 
diff -ur a/src/miral/runner.cpp b/src/miral/runner.cpp
--- a/src/miral/runner.cpp	2020-02-24 16:17:30.000000000 +0100
+++ b/src/miral/runner.cpp	2020-07-01 22:00:36.792161818 +0200
@@ -29,7 +29,7 @@
 #include <chrono>
 #include <mutex>
 #include <thread>
-
+#include <algorithm>
 
 namespace mo = mir::options;
 
